PeerTableModel
Keywords: uk.ac.ic.doc.automed.p2p.gui.PeerTableModel class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.gui
Class PeerTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          uk.ac.ic.doc.automed.p2p.gui.PeerTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class PeerTableModel

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Field Summary
`static int` | `PEER_DESCRIPTION`
`static int` | `PUBLIC_SCHEMA`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PeerTableModel(java.util.Collection objects, int type)`

Method Summary
`java.util.List` | `getAllValues()`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`P2PDirectoryObject` | `getValue(int row)`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int r, int c)`
`void` | `refresh(java.util.Collection objects)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLIC_SCHEMA

    public static final int PUBLIC_SCHEMA

See Also:
  Constant Field Values

### PEER_DESCRIPTION

    public static final int PEER_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### PeerTableModel

    public PeerTableModel(java.util.Collection objects,
                          int type)

Method Detail

### getValue

    public P2PDirectoryObject getValue(int row)

### getAllValues

    public java.util.List getAllValues()

### refresh

    public void refresh(java.util.Collection objects)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

### isCellEditable

    public boolean isCellEditable(int r,
                                  int c)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD